what4-1.6.3: Solver-agnostic symbolic values support for issuing queries

Safe Haskell | Safe-Inferred
Language | Haskell2010

What4.Protocol.ReadDecimal

Synopsis

- readDecimal :: MonadFail m => String -> m (Rational, String)

# Documentation

readDecimal :: MonadFail m => String -> m (Rational, String) Source #

Read decimal number, returning rational and rest of string, or a failure message if first character is not a digit.

A decimal number has the form (-)([0..9])+([0..9])+`.`([0.9]'*(`?`)?